## postgresql-plsh 1.20200522

=== Makefile ===
PG_CONFIG = pg_config

pg_version := $(word 2,$(shell $(PG_CONFIG) --version))
extensions_supported = $(filter-out 6.% 7.% 8.% 9.0%,$(pg_version))
inline_supported = $(filter-out 6.% 7.% 8.%,$(pg_version))
event_trigger_supported = $(filter-out 6.% 7.% 8.% 9.0% 9.1% 9.2%,$(pg_version))


MODULE_big = plsh
OBJS = plsh.o

extension_version = 2

DATA = $(if $(extensions_supported),plsh--unpackaged--1.sql plsh--1--2.sql,plsh.sql)
DATA_built = $(if $(extensions_supported),plsh--$(extension_version).sql)
EXTENSION = plsh

EXTRA_CLEAN = plsh.sql plsh--$(extension_version).sql

REGRESS = init function trigger crlf psql $(if $(inline_supported),inline) $(if $(event_trigger_supported),event_trigger)
REGRESS_OPTS = --inputdir=test


PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

override CFLAGS := $(filter-out -Wmissing-prototypes,$(CFLAGS))


all: plsh.sql

plsh.sql: $(if $(inline_supported),plsh-inline.sql,plsh-noinline.sql)
	cp $< $@

plsh--$(extension_version).sql: plsh.sql
	cp $< $@


version = $(shell git describe --tags)

dist:
	git archive --prefix=plsh-$(version)/ -o plsh-$(version).tar.gz -9 HEAD

## postgresql-plsh 1.3

=== debian/changelog ===
postgresql-plsh (1.3-5) unstable; urgency=low

  * Rebuild for PostgreSQL 9.1.
  * Use debian/control.in.

 -- Christoph Berg <myon@debian.org>  Wed, 24 Aug 2011 16:50:24 +0200

postgresql-plsh (1.3-4) unstable; urgency=low

  * New maintainer.
  * Convert to 3.0 (quilt).
  * Added support for PostgreSQL 9.0.
  * Converted build to use pg_buildext.
  * Section: database.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Apr 2011 10:38:28 +0200

postgresql-plsh (1.3-3) unstable; urgency=low

  * Problem building from source when using bash instead of dash -
    solved adding patch number 004 (a simple ./ in front of a source...)
    Closes: #561168 .

 -- Filipe Lautert <filipe@debian.org>  Tue, 15 Dec 2009 16:08:30 -0200

postgresql-plsh (1.3-2) unstable; urgency=low

  * Added support for PostgreSQL 8.4 (closes: #559598).
  * Dropped support for PostgreSQL 8.3 as it will not be in Squeeze.

 -- Filipe Lautert <filipe@debian.org>  Sun, 13 Dec 2009 21:37:43 -0200

postgresql-plsh (1.3-1) unstable; urgency=low

  * New upstream version.
  * Now package generates inclusion path for script createlang_pgplsh.sql
    instead of upstream Makefile (closes: #445212).
  * Added header fields: Vcs-Svn, Vcs-Browser and Homepage.
  * Added support for PostgreSQL 8.3.
  * Dropped support for PostgreSQL 8.2 as it will not be in Lenny.

 -- Filipe Lautert <filipe@icewall.org>  Wed, 26 Mar 2008 16:25:56 -0300

postgresql-plsh (1.2-2) unstable; urgency=low

  * Added support for PostgreSQL 8.2.
  * Changed PGCONFIG variable in debian/rules to PG_CONFIG, so now it works (closes: #420288).
  * Dropped support for PostgreSQL 8.1 and 7.4 (closes: #422013).
  * Corrected path for plsh create script in Debian.README.

 -- Filipe Lautert <filipe@icewall.org>  Wed,  2 May 2007 23:27:35 -0300

postgresql-plsh (1.2-1) unstable; urgency=low

  * Initial release (Closes: #412532).

 -- Filipe Lautert <filipe@icewall.org>  Thu, 22 Feb 2007 14:16:41 -0200

=== debian/control ===
Source: postgresql-plsh
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), libpq-dev,
 postgresql-server-dev-all (>= 119~)
Standards-Version: 3.9.2
Homepage: http://plsh.projects.postgresql.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-postgresql/trunk/postgresql-plsh/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plsh/

Package: postgresql-9.1-plsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Description: PL/sh procedural language for PostgreSQL 9.1
 PL/sh enables an SQL developer to write procedural language functions
 for PostgreSQL 9.1 in a shell of his choice.  You need this package
 if you have any PostgreSQL 9.1 functions that use the language plsh.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
.PHONY: debian/control

build build-arch: build-stamp
build-stamp:
	dh_testdir
	+pg_buildext configure $(CURDIR) version-%v "--libdir=/usr/lib/postgresql/%v/lib --datadir=/usr/share/postgresql-%v-plsh"
	+pg_buildext build $(CURDIR) version-%v
	touch $@

build-indep:

clean: debian/control
	dh_testdir
	dh_testroot
	rm -rf build-stamp version-?.?
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	+pg_buildext install $(CURDIR) version-%v postgresql-%v-plsh
	rm $(CURDIR)/debian/postgresql-*-plsh/usr/lib/postgresql/*/lib/pgplsh.la
	rm $(CURDIR)/debian/postgresql-*-plsh/usr/share/postgresql-*-plsh/test.sql
	chmod 644 $(CURDIR)/debian/postgresql-*-plsh/usr/share/postgresql-*-plsh/*

binary binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a --all README NEWS
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

.PHONY: build build-arch build-indep clean binary binary-arch binary-indep

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000115 .*/pgplsh-(.*)\.(.*)\.tar\.gz

## postgresql-plsh 1.20130823

=== debian/changelog ===
postgresql-plsh (1.20130823-1git1) trusty; urgency=low

  Upload current Debian packaging git head to fix autopkgtest.

  * debian/tests/installcheck: Temporarily modify test script to use CREATE
    EXTENSION instead of sourcing the build tree's plsh.psql. We want to test
    the installed package and avoid building.
  * debian/tests/installcheck: Stop unsetting $TMPDIR, autopkgtest got fixed
    for that.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Nov 2013 08:30:34 +0100

postgresql-plsh (1.20130823-1) unstable; urgency=low

  * New upstream release on github with CREATE EXTENSION support.
  * Use "9.1+" in debian/pgversions and B-D on pg-server-dev-all 148.
    (8.4 and 9.0 are not patched yet for improved VPATH build support.)
  * Add autopkgtest support.
  * Repository moved to git.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2013 12:50:30 +0200

=== debian/control ===
Source: postgresql-plsh
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7), libpq-dev,
 postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.4
Homepage: http://plsh.projects.postgresql.org/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plsh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-plsh.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-plsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: PL/sh procedural language for PostgreSQL 9.3
 PL/sh enables an SQL developer to write procedural language functions
 for PostgreSQL 9.3 in a shell of his choice.  You need this package
 if you have any PostgreSQL 9.3 functions that use the language plsh.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR=$(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
.PHONY: debian/control

build build-arch: build-stamp
build-stamp:
	dh_testdir
	+pg_buildext build $(CURDIR) build-%v
	touch $@

build-indep:

clean: debian/control
	dh_testdir
	dh_testroot
	rm -rf build-stamp build-?.?
	rm -rf debian/postgresql-*-plsh/ debian/*.substvars
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plsh

binary binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a --all README.md
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

.PHONY: build build-arch build-indep clean binary binary-arch binary-indep

=== debian/watch ===
version=3
#http://pgfoundry.org/frs/?group_id=1000115 .*/pgplsh-(.*)\.(.*)\.tar\.gz
https://github.com/petere/plsh/releases .*/archive/(.*)\.tar\.gz

## postgresql-plsh 1.20140221

=== debian/changelog ===
postgresql-plsh (1.20140221-3) unstable; urgency=medium

  * Rebuild for 9.5.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jan 2016 14:02:10 +0100

postgresql-plsh (1.20140221-2) unstable; urgency=medium

  * Rebuild for 9.4.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:50:59 +0200

postgresql-plsh (1.20140221-1) unstable; urgency=medium

  * New upstream release including a fix for CVE-2014-0061.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Feb 2014 07:28:54 +0100

postgresql-plsh (1.20130823-2) unstable; urgency=low

  * Patch tests/init.sql to use CREATE EXTENSION instead of sourcing the build
    tree's plsh.sql. Thanks to Martin Pitt for the initial patch.
  * Use the new pg_buildext installcheck from pg-server-dev 153.
  * Support all PostgreSQL versions.
  * Update debian/rules to use dh.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2014 21:11:29 +0100

=== debian/control ===
Source: postgresql-plsh
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), libpq-dev,
 postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.6
Homepage: http://plsh.projects.postgresql.org/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-plsh.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-plsh.git
XS-Testsuite: autopkgtest

Package: postgresql-9.5-plsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.5
Description: PL/sh procedural language for PostgreSQL 9.5
 PL/sh enables an SQL developer to write procedural language functions
 for PostgreSQL 9.5 in a shell of his choice.  You need this package
 if you have any PostgreSQL 9.5 functions that use the language plsh.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v
	$(MAKE) plsh.sql

override_dh_auto_test:

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf plsh.sql regression.* results/
	rm -rf debian/postgresql-*-plsh/ debian/*.substvars

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-plsh

override_dh_installdocs:
	dh_installdocs -a --all README.md

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all (>= 153~), quilt
Tests: installcheck
Restrictions: allow-stderr

## postgresql-plsh 1.20171014

=== debian/changelog ===
postgresql-plsh (1.20171014-4) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.
  * Remove support for testing without extension support.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 09:23:37 +0100

postgresql-plsh (1.20171014-3) unstable; urgency=medium

  * Recompile against new heap_getattr() API in PostgreSQL 11.2.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 12 Feb 2019 15:12:38 +0100

postgresql-plsh (1.20171014-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Add patch for new TupleDescAttr API.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 18 Oct 2018 14:01:18 +0200

postgresql-plsh (1.20171014-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Oct 2017 19:14:23 +0200

postgresql-plsh (1.20140221-6) unstable; urgency=medium

  * Team upload with PostgreSQL 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 27 Sep 2017 13:00:16 +0200

postgresql-plsh (1.20140221-5) unstable; urgency=medium

  * Rebuild for 9.6.

 -- Christoph Berg <myon@debian.org>  Sun, 25 Sep 2016 23:13:30 +0200

=== debian/control ===
Source: postgresql-plsh
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), libpq-dev,
 postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: http://plsh.projects.postgresql.org/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plsh.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plsh
XS-Testsuite: autopkgtest

Package: postgresql-12-plsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
Description: PL/sh procedural language for PostgreSQL 12
 PL/sh enables an SQL developer to write procedural language functions
 for PostgreSQL 12 in a shell of his choice.  You need this package
 if you have any PostgreSQL 12 functions that use the language plsh.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all (>= 153~)
Tests: installcheck
Restrictions: allow-stderr

## postgresql-plsh 1.20200522~20220627.1447-4~1.gite0dc776.pgdg18.04+1

=== debian/changelog ===
postgresql-plsh (1.20200522~20220627.1447-4~1.gite0dc776.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:28:43 +0200

postgresql-plsh (1.20200522-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:28:43 +0200

postgresql-plsh (1.20200522-3) unstable; urgency=low

  * test: Use `command -v` instead of `which`.
  * Update watch files for github releases.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Aug 2021 10:55:40 +0200

postgresql-plsh (1.20200522-2) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary XS-Testsuite field in debian/control.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 16:01:39 +0200

postgresql-plsh (1.20200522-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Jun 2020 13:48:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,33 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), libpq-dev,
- postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), libpq-dev,
+ postgresql-all (>= 217~)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://plsh.projects.postgresql.org/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plsh.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plsh
-XS-Testsuite: autopkgtest
+
+Package: postgresql-10-plsh
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
+Description: PL/sh procedural language for PostgreSQL 10
+ PL/sh enables an SQL developer to write procedural language functions
+ for PostgreSQL 10 in a shell of his choice.  You need this package
+ if you have any PostgreSQL 10 functions that use the language plsh.
+ .
+ PostgreSQL is an object-relational SQL database management system.
+
+Package: postgresql-11-plsh
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
+Description: PL/sh procedural language for PostgreSQL 11
+ PL/sh enables an SQL developer to write procedural language functions
+ for PostgreSQL 11 in a shell of his choice.  You need this package
+ if you have any PostgreSQL 11 functions that use the language plsh.
+ .
+ PostgreSQL is an object-relational SQL database management system.
 
 Package: postgresql-12-plsh
 Architecture: any
@@ -20,3 +40,23 @@
  if you have any PostgreSQL 12 functions that use the language plsh.
  .
  PostgreSQL is an object-relational SQL database management system.
+
+Package: postgresql-13-plsh
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
+Description: PL/sh procedural language for PostgreSQL 13
+ PL/sh enables an SQL developer to write procedural language functions
+ for PostgreSQL 13 in a shell of his choice.  You need this package
+ if you have any PostgreSQL 13 functions that use the language plsh.
+ .
+ PostgreSQL is an object-relational SQL database management system.
+
+Package: postgresql-14-plsh
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
+Description: PL/sh procedural language for PostgreSQL 14
+ PL/sh enables an SQL developer to write procedural language functions
+ for PostgreSQL 14 in a shell of his choice.  You need this package
+ if you have any PostgreSQL 14 functions that use the language plsh.
+ .
+ PostgreSQL is an object-relational SQL database management system.

## postgresql-plsh 1.20200522~20220627.1447-4~1.gite0dc776.pgdg22.04+1

=== debian/changelog ===
postgresql-plsh (1.20200522~20220627.1447-4~1.gite0dc776.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), libpq-dev,
+Build-Depends: debhelper-compat (= 13), libpq-dev,
  postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## postgresql-plsh 1.20200522

=== debian/control ===
Source: postgresql-plsh
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), libpq-dev,
 postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://plsh.projects.postgresql.org/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plsh.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plsh

Package: postgresql-14-plsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
Description: PL/sh procedural language for PostgreSQL 14
 PL/sh enables an SQL developer to write procedural language functions
 for PostgreSQL 14 in a shell of his choice.  You need this package
 if you have any PostgreSQL 14 functions that use the language plsh.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/watch ===
version=4
https://github.com/petere/plsh/releases .*/(.*)\.tar\.gz

## postgresql-plsh 1.20220917

=== debian/changelog ===
postgresql-plsh (1.20220917-4) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117328)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.
  * Update homepage location, thanks Wim Bertels! (Closes: #1083036)

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 13:41:35 +0200

postgresql-plsh (1.20220917-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 15:03:51 +0200

postgresql-plsh (1.20220917-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:49:54 +0200

postgresql-plsh (1.20220917-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 15. (Closes: #1022507)
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2022 13:22:17 +0200

=== debian/control ===
Source: postgresql-plsh
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libpq-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/petere/plsh
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-plsh.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-plsh

Package: postgresql-18-plsh
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PL/sh procedural language for PostgreSQL 18
 PL/sh enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in a shell of his choice.  You need this package
 if you have any PostgreSQL 18 functions that use the language plsh.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/watch ===
version=4
https://github.com/petere/plsh/tags .*/(.*)\.tar\.gz
